Tp::Service::ConnectionInterfaceAliasingAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | List of all members
Tp::Service::ConnectionInterfaceAliasingAdaptor Class Reference
Connection service implementation

`#include <TelepathyQt/_gen/svc-connection.h>`

Inherits Tp::AbstractAdaptor.

## Public Slots
uint | GetAliasFlags (const QDBusMessage &dbusMessage)
QStringList | RequestAliases (const Tp::UIntList &contacts, const QDBusMessage &dbusMessage)
Tp::AliasMap | GetAliases (const Tp::UIntList &contacts, const QDBusMessage &dbusMessage)
void | SetAliases (const Tp::AliasMap &aliases, const QDBusMessage &dbusMessage)

## Signals
void | AliasesChanged (const Tp::AliasPairList &aliases)

## Additional Inherited Members
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.Aliasing".

## Member Function Documentation

uint Tp::Service::ConnectionInterfaceAliasingAdaptor::GetAliasFlags | ( | const QDBusMessage & | dbusMessage | ) |
| slot

Begins a call to the exported D-Bus method `GetAliasFlags` on this object.

Adaptees should export this method as a Qt slot with the following signature: void getAliasFlags(const Tp::Service::ConnectionInterfaceAliasingAdaptor::GetAliasFlagsContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Return a bitwise OR of flags detailing the behaviour of aliases on this connection.

Returns

      An integer with a bitwise OR of flags from ConnectionAliasFlags

QStringList Tp::Service::ConnectionInterfaceAliasingAdaptor::RequestAliases | ( | const Tp::UIntList & | contacts,
|  | const QDBusMessage & | dbusMessage
| ) |  |
| slot

Begins a call to the exported D-Bus method `RequestAliases` on this object.

Adaptees should export this method as a Qt slot with the following signature: void requestAliases(const Tp::UIntList& contacts, const Tp::Service::ConnectionInterfaceAliasingAdaptor::RequestAliasesContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Request the value of several contacts' aliases at once.

Parameters

  contacts |
      An array of handles representing contacts

Returns

      A list of aliases in the same order as the contact handles

Tp::AliasMap Tp::Service::ConnectionInterfaceAliasingAdaptor::GetAliases | ( | const Tp::UIntList & | contacts,
|  | const QDBusMessage & | dbusMessage
| ) |  |
| slot

Begins a call to the exported D-Bus method `GetAliases` on this object.

Adaptees should export this method as a Qt slot with the following signature: void getAliases(const Tp::UIntList& contacts, const Tp::Service::ConnectionInterfaceAliasingAdaptor::GetAliasesContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Request the value of several contacts' aliases at once. This SHOULD only return cached aliases, falling back on the contact identifier (i.e. the string corresponding to the handle) if none is present. Also if there was no cached alias, a request SHOULD be started of which the result is later signalled by AliasesChanged.

Parameters

  contacts |
      An array of handles representing contacts

Returns

      A dictionary mapping contact handles to aliases

void Tp::Service::ConnectionInterfaceAliasingAdaptor::SetAliases | ( | const Tp::AliasMap & | aliases,
|  | const QDBusMessage & | dbusMessage
| ) |  |
| slot

Begins a call to the exported D-Bus method `SetAliases` on this object.

Adaptees should export this method as a Qt slot with the following signature: void setAliases(const Tp::AliasMap& aliases, const Tp::Service::ConnectionInterfaceAliasingAdaptor::SetAliasesContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Request that the alias of the given contact be changed. Success will be indicated by emitting an AliasesChanged signal. On connections where the CONNECTION_ALIAS_FLAG_USER_SET flag is not set, this method will only ever succeed if the contact is the user's own handle (as returned by Connection.GetSelfHandle).

Parameters

  aliases |
      A dictionary mapping integer handles of contacts to strings of the
      new alias to set.

void Tp::Service::ConnectionInterfaceAliasingAdaptor::AliasesChanged | ( | const Tp::AliasPairList & | aliases | ) |
| signal

Represents the exported D-Bus signal `AliasesChanged` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void aliasesChanged(const Tp::AliasPairList& aliases);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  aliases | An array containing structs of: the handle representing the contact the new alias